<?php

return [
    // 模板目录路径
    'template_path' => resource_path('views/liquid'),

    // 模板名称，可在 .env 中配置
    'template_name' => env('TEMPLATE_NAME', 'tech_vista'),

    // 默认模板的 dist ID，支持通过 .env 文件配置
    'template_dist_id' => env('TEMPLATE_DIST_ID', 1),

    // 静态文件URL地址，默认为/，地址结尾带/
    'asset_base_url' => env('ASSET_BASE_URL', 'https://mietubl-dev.oss.mietubl.com.cn/'),

    // 字体的基础 URL
    'font_base_url' => env('FONT_BASE_URL', 'https://mietubl-dev.oss.mietubl.com.cn/'),

    // 图片的基础 URL 默认为/，地址结尾带/
    'image_base_url' => env('IMAGE_BASE_URL', 'https://mietubl-dev.oss.mietubl.com.cn/'),

    //默认页面缓存超时设置300秒
    'cache_duration' => env('CACHE_DURATION', 300),

    //是否开始页面编译缓存
    'cache_enabled' => env('CACHE_ENABLED', false),

    //模板预览目录路径
    'preview_template_path' => resource_path('views/liquid_tmp'),
];

